package com.dji.sample.manage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName("manage_user_org")
public class UserOrgEntity {
    
    @TableId(type = IdType.AUTO)
    private Integer id;
    
    private String userId;
    
    private String orgId;
    
    private Integer roleType;
    
    private Integer status;
    
    // private Long createTime;
    
    // private Long updateTime;
    
    private String creatorId;
    
    private String creatorName;
    
    private String updaterId;
    
    private String updaterName;

    // Getters and Setters
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public Integer getRoleType() {
        return roleType;
    }

    public void setRoleType(Integer roleType) {
        this.roleType = roleType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    // public Long getCreateTime() {
    //     return createTime;
    // }

    // public void setCreateTime(Long createTime) {
    //     this.createTime = createTime;
    // }

    // public Long getUpdateTime() {
    //     return updateTime;
    // }

    // public void setUpdateTime(Long updateTime) {
    //     this.updateTime = updateTime;
    // }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getUpdaterId() {
        return updaterId;
    }

    public void setUpdaterId(String updaterId) {
        this.updaterId = updaterId;
    }

    public String getUpdaterName() {
        return updaterName;
    }

    public void setUpdaterName(String updaterName) {
        this.updaterName = updaterName;
    }
}
